commit 823b9b2f345bcc0be048fd276d1ae26d843ca49e
Author: freddy77 <freddy77>
Date:   Fri Jul 2 18:57:27 2010 +0000

    cleanup

diff --git a/ChangeLog b/ChangeLog
index 88c7a1b..4f3a83c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Jul  2 20:57:16 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/tds/token.c src/tds/util.c: cleanup
+
 Fri Jul  2 16:07:45 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/Makefile.am src/odbc/error.c src/odbc/odbc.c:
 	- src/odbc/sqlwparams.h
@@ -2559,4 +2562,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3050 2010/07/02 14:07:56 freddy77 Exp $
+$Id: ChangeLog,v 1.3051 2010/07/02 18:57:27 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index ebedc0f..8813fbe 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -21,7 +21,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.337 2010/06/27 17:46:43 berryc Exp $ */
+/* $Id: tds.h,v 1.338 2010/07/02 18:57:32 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -317,13 +317,6 @@ typedef enum {	TDSEOK    = TDS_SUCCEED,
 		TDSECLOSEIN = 20292 
 } TDSERRNO;
 
-/*
- * TDS_ERROR indicates a successful processing, but that a TDS_ERROR_TOKEN or TDS_EED_TOKEN error was encountered.  
- * TDS_FAIL indicates an unrecoverable failure.
- */
-#define TDS_ERROR            3
-#define TDS_DONT_RETURN      42
-
 #define TDS5_PARAMFMT2_TOKEN       32	/* 0x20 */
 #define TDS_LANGUAGE_TOKEN         33	/* 0x21    TDS 5.0 only              */
 #define TDS_ORDERBY2_TOKEN         34	/* 0x22 */
@@ -1570,7 +1563,6 @@ int tds_get_size_by_type(int servertype);
 int tdserror (const TDSCONTEXT * tds_ctx, TDSSOCKET * tds, int msgno, int errnum);
 TDS_STATE tds_set_state(TDSSOCKET * tds, TDS_STATE state);
 void tds_set_parent(TDSSOCKET * tds, void *the_parent);
-void *tds_get_parent(TDSSOCKET * tds);
 int tds_swap_bytes(unsigned char *buf, int bytes);
 int tds_version(TDSSOCKET * tds_socket, char *pversion_string);
 unsigned int tds_gettime_ms(void);
diff --git a/src/tds/token.c b/src/tds/token.c
index fcfb8b2..52575b4 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.386 2010/06/26 09:14:50 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.387 2010/07/02 18:57:32 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -2637,7 +2637,7 @@ tds_process_env_chg(TDSSOCKET * tds)
 /**
  * tds_process_msg() is called for MSG, ERR, or EED tokens and is responsible
  * for calling the CLI's message handling routine
- * returns TDS_SUCCEED if informational, TDS_ERROR if error.
+ * returns TDS_SUCCEED if informational, TDS_FAIL if error.
  */
 static int
 tds_process_msg(TDSSOCKET * tds, int marker)
@@ -2749,7 +2749,7 @@ tds_process_msg(TDSSOCKET * tds, int marker)
 			case TDS5_PARAMFMT2_TOKEN:
 			case TDS5_PARAMS_TOKEN:
 				if (tds_process_default_tokens(tds, next_marker) != TDS_SUCCEED)
-					++rc;
+					--rc;
 				continue;
 			}
 			break;
@@ -2765,7 +2765,7 @@ tds_process_msg(TDSSOCKET * tds, int marker)
 
 	if (rc != 0) {
 		tds_free_msg(&msg);
-		return TDS_ERROR;
+		return TDS_FAIL;
 	}
 	
 	/* special case, */
diff --git a/src/tds/util.c b/src/tds/util.c
index fffe149..c4b6eb1 100644
--- a/src/tds/util.c
+++ b/src/tds/util.c
@@ -65,7 +65,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: util.c,v 1.91 2010/03/02 08:32:36 freddy77 Exp $");
+TDS_RCSID(var, "$Id: util.c,v 1.92 2010/07/02 18:57:34 freddy77 Exp $");
 
 void
 tds_set_parent(TDSSOCKET * tds, void *the_parent)
@@ -74,12 +74,6 @@ tds_set_parent(TDSSOCKET * tds, void *the_parent)
 		tds->parent = the_parent;
 }
 
-void *
-tds_get_parent(TDSSOCKET * tds)
-{
-	return (tds->parent);
-}
-
 /**
  * Set state of TDS connection, with logging and checking.
  * \param tds	  state information for the socket and the TDS protocol

